### Method

# WPEPlatform BufferDMABufFormats get_device

#### Declaration [src]

    WPEDRMDevice*
    wpe_buffer_dma_buf_formats_get_device (
      WPEBufferDMABufFormats* formats
    )

#### Description [src]

Get the main DRM device to be used to allocate buffer for `formats`.

#### Return value

Type: `WPEDRMDevice`

A `WPEDRMDevice` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.